
class stringCreator {
    inherit objectCreator
    method createObject {token xuiBuilder}
    method loadValueFromNode
    method loadDefaultFromNode
    method extraStuff 
}

body stringCreator::createObject {token xuiBuilder} {
    if [string length [set parentName [$xuiBuilder cget -currentParentName]]] {
	set name $parentName.[dom::getAttribute $token name]
    } else {
	set name ::#auto
    } 
    return [xuiString $name]
}


body stringCreator::loadValueFromNode {valueToken object xuiBuilder} {
	$object setValue [dom::getText $valueToken]
}


body stringCreator::loadDefaultFromNode {defaultToken object xuiBuilder} {
        $object setDefault [dom::getText $defaultToken]
}

body stringCreator::extraStuff {token object xuiBuilder} {
        if [llength [set w [dom::getAttribute $token width]]] {
	   $object setWidth $w
	}
}

